Go to the latest version of this document.

# ``twisted`.`mail`.`imap4`.`MessageProducer``

class documentation

`class MessageProducer: (source)`

Constructor: `MessageProducer(msg, buffer, scheduler)`

View In Hierarchy

Undocumented

Method | `__init__` | Produce this message.
Method | `beginProducing` | Undocumented
Constant | `CHUNK_SIZE` | Undocumented
Instance Variable | `buffer` | Undocumented
Instance Variable | `consumer` | Undocumented
Instance Variable | `msg` | Undocumented
Instance Variable | `scheduler` | Undocumented
Instance Variable | `write` | Undocumented
Method | `_produce` | Undocumented
Class Variable | `_uuid4` | Undocumented

def __init__(self, msg, buffer=None, scheduler=None): (source)

Produce this message.

Parameters
msg:`IMessage` | The message I am to produce.
buffer:file-like | A buffer to hold the message in. If None, I will use a `tempfile.TemporaryFile`.
scheduler | Undocumented

def beginProducing(self, consumer): (source)

Undocumented

CHUNK_SIZE = (source)

Undocumented

Value

    2 ** (2 ** (2 ** 2))

buffer = (source)

Undocumented

consumer = (source)

Undocumented

msg = (source)

Undocumented

scheduler = (source)

Undocumented

write = (source)

Undocumented

def _produce(self): (source)

Undocumented

_uuid4 = (source)

Undocumented